/// <reference types="react" />
import { AioReplacement } from "../aio";
import { AitColumnRepeat, AitOptionList, AitRowData, AitRowGroupData } from "./aitInterface";
interface AitHeaderProps {
    aitid: string;
    rows: AitRowData[];
    comments: string;
    replacements: AioReplacement[];
    setHeaderData: (ret: AitRowGroupData) => void;
    higherOptions: AitOptionList;
    columnRepeats?: AitColumnRepeat[];
}
export declare const AitHeader: ({ aitid, rows, comments, replacements, setHeaderData, higherOptions, columnRepeats, }: AitHeaderProps) => JSX.Element;
export {};
