/// <reference types="draft-js" />
import 'draft-js/dist/Draft.css';
import React from "react";
import './aie.css';
export interface AieStyleMap {
    [styleName: string]: {
        css: React.CSSProperties;
        aieExclude: string[];
    };
}
export interface AieStyleExcludeMap {
    [styleName: string]: string[];
}
/** Interface for the AsupInternalEditor component */
interface AsupInternalEditorProps {
    value: string;
    setValue?: (ret: string) => void;
    style?: React.CSSProperties;
    styleMap?: AieStyleMap;
    textAlignment?: Draft.DraftComponent.Base.DraftTextAlignment;
    showStyleButtons?: boolean;
    editable?: boolean;
}
export declare const AsupInternalEditor: ({ value, setValue, style, styleMap, textAlignment, showStyleButtons, editable, }: AsupInternalEditorProps) => JSX.Element;
export {};
