import React from "react";
import { AieStyleMap } from "../aie";
import { AioReplacement } from "../aio";
import './ait.css';
import { AitRowGroupData, AitTableData } from "./aitInterface";
interface AsupInternalTableProps {
    tableData: AitTableData;
    setTableData: (ret: AitTableData) => void;
    externalLists?: AioReplacement[];
    style?: React.CSSProperties;
    showCellBorders?: boolean;
    groupTemplates?: AitRowGroupData[] | false;
    commentStyles?: AieStyleMap;
    cellStyles?: AieStyleMap;
}
/**
 * Table view for clinical table data
 * @param props
 * @returns
 */
export declare const AsupInternalTable: ({ tableData, setTableData, externalLists, style, showCellBorders, groupTemplates, commentStyles, cellStyles, }: AsupInternalTableProps) => JSX.Element;
export {};
